Skip to main content

Get unlocked leads export history for the given customerId

GET/v2/customers/{customerId}/unlocked-leads-exports
API version
v2
Request method
GET
Operation ID
leadfyndr-get-leads-export-history

Request​

  • customerIdstringrequired

Responses​

Response headers
  • X-Pagination-Limitinteger

    The limit used to select the resources for the response

  • X-Pagination-Skipinteger

    The number of skipped items

  • X-Pagination-Pagenumber

    The calculate page of the list response. Refer to parameters to learn more.

  • X-Pagination-TotalCountinteger

    The total amount of items available in the remote ressource. Use this value in combination with the limit to calculate the available pages.

Format
application/json
Description

A list of unlocked leads exports.

  • Array[
    • *object
      • customerIdstringrequired
      • exportIdstringrequired
      • exportedAtstring (date-time)required
      • exportedByobject
        • avatarRefIdstring
        • personobject
          • firstNamestringrequired
          • lastNamestringrequired
        • userIdstringrequired
      • leadCountinteger (int32)required

        The number of leads included in the export.

    ]
Content-Type: application/json

[
{
"customerId": "string",
"exportId": "string",
"exportedAt": "1985-10-26T01:21:00.000Z",
"exportedBy": {
"avatarRefId": "string",
"person": {
"firstName": "string",
"lastName": "string"
},
"userId": "string"
},
"leadCount": 123
}
]
{
"items": {
"properties": {
"customerId": {
"type": "string"
},
"exportId": {
"type": "string"
},
"exportedAt": {
"format": "date-time",
"type": "string"
},
"exportedBy": {
"properties": {
"avatarRefId": {
"type": "string"
},
"person": {
"properties": {
"firstName": {
"type": "string"
},
"lastName": {
"type": "string"
}
},
"required": [
"firstName",
"lastName"
],
"type": "object"
},
"userId": {
"type": "string"
}
},
"required": [
"userId"
],
"type": "object"
},
"leadCount": {
"description": "The number of leads included in the export.",
"format": "int32",
"type": "integer"
}
},
"required": [
"exportId",
"customerId",
"exportedAt",
"leadCount"
],
"type": "object"
},
"type": "array"
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customers/string/unlocked-leads-exports?limit=50&page=1&sort=exportedAt&order=asc
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.leadFyndr.getLeadsExportHistory({
"customerId": "string",
"queryParameters": {
"limit": 50,
"page": 1,
"sort": "exportedAt",
"order": "asc"
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\LeadFyndr\GetLeadsExportHistory\GetLeadsExportHistoryRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new GetLeadsExportHistoryRequest(
customerId: "string"
))
->withLimit(50)
->withPage(1)
->withSort("exportedAt")
->withOrder("asc");
$response = $client->leadFyndr()->getLeadsExportHistory($request);

var_dump($response->getBody();

On this page